{% extends 'base.html' %}


{% block main-content %}
<div>
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Number of receipts/th>
            </tr>
        </thead>
        <tbody>
            {% for category in categories %}
            <tr>
                <td>{{ category.name }}</td>
                <!-- calling by the related_name then using the length filter to count-->
                <td>{{ category.receipts.all|length }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% endblock main-content %}
